summaryrefslogtreecommitdiff
path: root/dev-ruby/posix-spawn
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/posix-spawn
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/posix-spawn')
-rw-r--r--dev-ruby/posix-spawn/Manifest2
-rw-r--r--dev-ruby/posix-spawn/files/posix-spawn-0.3.13-x86.patch23
-rw-r--r--dev-ruby/posix-spawn/metadata.xml12
-rw-r--r--dev-ruby/posix-spawn/posix-spawn-0.3.13-r1.ebuild37
-rw-r--r--dev-ruby/posix-spawn/posix-spawn-0.3.14.ebuild32
5 files changed, 106 insertions, 0 deletions
diff --git a/dev-ruby/posix-spawn/Manifest b/dev-ruby/posix-spawn/Manifest
new file mode 100644
index 000000000000..694e58330f44
--- /dev/null
+++ b/dev-ruby/posix-spawn/Manifest
@@ -0,0 +1,2 @@
+DIST posix-spawn-0.3.13.gem 28160 BLAKE2B 68b1c241310c7b35bf8bea055e63a60320ae3fc877f9bc9f4e2dc0d30c1484eb5081be8c7d60309ed04900c410d52624dae6e37a0f134993f334526f2d9de98d SHA512 a9cd878571440cc0aaee541cbb97b6f4dcb03e48a8ef8588693f4c68990eb530e3b1685d615546763c9bba5d3109134442285023938eb2f116e9749f0da12bb9
+DIST posix-spawn-0.3.14.gem 29696 BLAKE2B 6c3cf234b8754b2757e0360f2b2bfd008628891ecec813dc3644f9a378317f3645908539588a3fbfae5a6fc4a0b9c5beb6fb925fdd9f6fb3cf8cdddbf6db448e SHA512 85d34d8301e1d0923831890d4ac3191e81cc4c716671bc3b71d44be92e9b0c278bd4ce17b9387fc10359266bbdee1e1aad5cb4bbf1c08ab385b023ba2fec74d7
diff --git a/dev-ruby/posix-spawn/files/posix-spawn-0.3.13-x86.patch b/dev-ruby/posix-spawn/files/posix-spawn-0.3.13-x86.patch
new file mode 100644
index 000000000000..b96579b18281
--- /dev/null
+++ b/dev-ruby/posix-spawn/files/posix-spawn-0.3.13-x86.patch
@@ -0,0 +1,23 @@
+From 5201e921a788fbb97f14ea0c617a2213dc3da1ca Mon Sep 17 00:00:00 2001
+From: Pascal Terjan <pterjan@google.com>
+Date: Sun, 20 Aug 2017 12:13:15 +0100
+Subject: [PATCH] Fix build when SIZEOF_INT == SIZEOF_LONG
+
+Signed-off-by: Aman Gupta <aman@tmm1.net>
+---
+ ext/posix-spawn.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/ext/posix-spawn.c b/ext/posix-spawn.c
+index 1659bed..2e4c4de 100644
+--- a/ext/posix-spawn.c
++++ b/ext/posix-spawn.c
+@@ -61,7 +61,7 @@ posixspawn_obj_to_fd(VALUE obj)
+ * rb_fix2int takes care of raising if the provided object is a
+ * Bignum and is out of range of an int
+ */
+- fd = (int)rb_fix2int(obj);
++ fd = FIX2INT(obj);
+ break;
+
+ case T_SYMBOL:
diff --git a/dev-ruby/posix-spawn/metadata.xml b/dev-ruby/posix-spawn/metadata.xml
new file mode 100644
index 000000000000..f7856a641db9
--- /dev/null
+++ b/dev-ruby/posix-spawn/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">rtomayko/posix-spawn</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/posix-spawn/posix-spawn-0.3.13-r1.ebuild b/dev-ruby/posix-spawn/posix-spawn-0.3.13-r1.ebuild
new file mode 100644
index 000000000000..6818b5a420e1
--- /dev/null
+++ b/dev-ruby/posix-spawn/posix-spawn-0.3.13-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md TODO HACKING"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library that implements a subset of the Ruby 1.9 Process::spawn"
+HOMEPAGE="https://github.com/rtomayko/posix-spawn/"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+LICENSE="MIT LGPL-2.1"
+SLOT="0"
+IUSE="test"
+
+all_ruby_prepare() {
+ eapply "${FILESDIR}/${P}-x86.patch"
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext
+ cp ext/*$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each {|f| require f}' || die
+}
diff --git a/dev-ruby/posix-spawn/posix-spawn-0.3.14.ebuild b/dev-ruby/posix-spawn/posix-spawn-0.3.14.ebuild
new file mode 100644
index 000000000000..d123fe204ec0
--- /dev/null
+++ b/dev-ruby/posix-spawn/posix-spawn-0.3.14.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.md TODO HACKING"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library that implements a subset of the Ruby 1.9 Process::spawn"
+HOMEPAGE="https://github.com/rtomayko/posix-spawn/"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+LICENSE="MIT LGPL-2.1"
+SLOT="0"
+IUSE="test"
+
+each_ruby_configure() {
+ ${RUBY} -Cext extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext
+ cp ext/*$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/test_*.rb"].each {|f| require f}' || die
+}